// This program is created for LPC-H2214 board
// Test SRAM
// Test FLASH
// Send report via UART0 -> USB connector
// Notice!!! When test memory, we read/write all memory - it takes a few minutes


#include "system.h"
#include "uart.h"
#include "sram_test.h"
#include "flash_test.h"

int main()
{
  /**** VARIABLES ****/
  //unsigned char ch = 0x0;

  /**** INITIALIZATION ****/
  // Frequency initialization
  FrecInit();
  // UART initialization
  UART0Initialize(9600);
  // Init EMC
  SysInit();



  UART0WriteTxt("TESTING MEMORY BEGIN\r\n");

  /**** TEST ****/
  // Testing SRAM
  TestSRAM();

  // Testing FLAS
  TestFLASH();

  UART0WriteTxt("TESTING MEMORY END");

  // loop forever
  while(1) {

  }

}
